<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__iot__platform__types_8h" kind="file" language="C++">
    <compoundname>cy_iot_platform_types.h</compoundname>
    <includes local="yes">cyabs_rtos_impl.h</includes>
    <includedby local="yes" refid="iot__config_8h">iot_config.h</includedby>
    <incdepgraph>
      <node id="6">
        <label>cyabs_rtos_impl.h</label>
      </node>
      <node id="5">
        <label>cy_iot_platform_types.h</label>
        <link refid="cy__iot__platform__types_8h" />
        <childnode refid="6" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structiot__mutex__internal__t">iot_mutex_internal_t</innerclass>
    <innerclass prot="public" refid="structiot__sem__internal__t">iot_sem_internal_t</innerclass>
    <innerclass prot="public" refid="structthread_info__t">threadInfo_t</innerclass>
    <innerclass prot="public" refid="structtimer_info__t">timerInfo_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="cy__iot__platform__types_8h_1a4a35fd118f38357b882524375622d523" kind="typedef" prot="public" static="no">
        <type>cy_mutex_t</type>
        <definition>typedef cy_mutex_t _IotSystemMutex_t</definition>
        <argsstring />
        <name>_IotSystemMutex_t</name>
        <briefdescription>
<para>The native mutex implemented on cypress platforms. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="74" />
      </memberdef>
      <memberdef id="cy__iot__platform__types_8h_1aff6ef5693cc369b2f70dfcd2c8cc1a64" kind="typedef" prot="public" static="no">
        <type>cy_semaphore_t</type>
        <definition>typedef cy_semaphore_t _IotSystemSemaphore_t</definition>
        <argsstring />
        <name>_IotSystemSemaphore_t</name>
        <briefdescription>
<para>The native semaphore implemented on cypress platforms. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="79" />
      </memberdef>
      <memberdef id="cy__iot__platform__types_8h_1a1ed790e04e0a8fffe7601840c9021de8" kind="typedef" prot="public" static="no">
        <type><ref kindref="compound" refid="structtimer_info__t">timerInfo_t</ref></type>
        <definition>typedef timerInfo_t _IotSystemTimer_t</definition>
        <argsstring />
        <name>_IotSystemTimer_t</name>
        <briefdescription>
<para>The native timer implemented on cypress platforms. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="84" />
      </memberdef>
      <memberdef id="cy__iot__platform__types_8h_1a0a6ad503fb209e9baf384267af02466d" kind="typedef" prot="public" static="no">
        <type>struct IotNetworkServerInfo *</type>
        <definition>typedef struct IotNetworkServerInfo* _IotNetworkServerInfo_t</definition>
        <argsstring />
        <name>_IotNetworkServerInfo_t</name>
        <briefdescription>
<para>The format for remote server host and port on this system. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="100" />
      </memberdef>
      <memberdef id="cy__iot__platform__types_8h_1a717351c2dfc44c4e2e907b7d0cf5d798" kind="typedef" prot="public" static="no">
        <type>struct IotNetworkCredentials *</type>
        <definition>typedef struct IotNetworkCredentials* _IotNetworkCredentials_t</definition>
        <argsstring />
        <name>_IotNetworkCredentials_t</name>
        <briefdescription>
<para>The format for network credentials on this system. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="105" />
      </memberdef>
      <memberdef id="cy__iot__platform__types_8h_1a07db0739185d64f22e193169b84515c1" kind="typedef" prot="public" static="no">
        <type>struct _networkConnection *</type>
        <definition>typedef struct _networkConnection* _IotNetworkConnection_t</definition>
        <argsstring />
        <name>_IotNetworkConnection_t</name>
        <briefdescription>
<para>The handle of a network connection on this system. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" line="110" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Definitions of platform layer types for cypress RTOS abstraction. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />Copyright<sp />2020<sp />Cypress<sp />Semiconductor<sp />Corporation</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />Copyright<sp />(C)<sp />2019<sp />Amazon.com,<sp />Inc.<sp />or<sp />its<sp />affiliates.<sp /><sp />All<sp />Rights<sp />Reserved.</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />Permission<sp />is<sp />hereby<sp />granted,<sp />free<sp />of<sp />charge,<sp />to<sp />any<sp />person<sp />obtaining<sp />a<sp />copy<sp />of</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />this<sp />software<sp />and<sp />associated<sp />documentation<sp />files<sp />(the<sp />"Software"),<sp />to<sp />deal<sp />in</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*<sp />the<sp />Software<sp />without<sp />restriction,<sp />including<sp />without<sp />limitation<sp />the<sp />rights<sp />to</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*<sp />use,<sp />copy,<sp />modify,<sp />merge,<sp />publish,<sp />distribute,<sp />sublicense,<sp />and/or<sp />sell<sp />copies<sp />of</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*<sp />the<sp />Software,<sp />and<sp />to<sp />permit<sp />persons<sp />to<sp />whom<sp />the<sp />Software<sp />is<sp />furnished<sp />to<sp />do<sp />so,</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />subject<sp />to<sp />the<sp />following<sp />conditions:</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />The<sp />above<sp />copyright<sp />notice<sp />and<sp />this<sp />permission<sp />notice<sp />shall<sp />be<sp />included<sp />in<sp />all</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*<sp />copies<sp />or<sp />substantial<sp />portions<sp />of<sp />the<sp />Software.</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*<sp />THE<sp />SOFTWARE<sp />IS<sp />PROVIDED<sp />"AS<sp />IS",<sp />WITHOUT<sp />WARRANTY<sp />OF<sp />ANY<sp />KIND,<sp />EXPRESS<sp />OR</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*<sp />IMPLIED,<sp />INCLUDING<sp />BUT<sp />NOT<sp />LIMITED<sp />TO<sp />THE<sp />WARRANTIES<sp />OF<sp />MERCHANTABILITY,<sp />FITNESS</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*<sp />FOR<sp />A<sp />PARTICULAR<sp />PURPOSE<sp />AND<sp />NONINFRINGEMENT.<sp />IN<sp />NO<sp />EVENT<sp />SHALL<sp />THE<sp />AUTHORS<sp />OR</highlight></codeline>
<codeline lineno="20"><highlight class="comment"><sp />*<sp />COPYRIGHT<sp />HOLDERS<sp />BE<sp />LIABLE<sp />FOR<sp />ANY<sp />CLAIM,<sp />DAMAGES<sp />OR<sp />OTHER<sp />LIABILITY,<sp />WHETHER</highlight></codeline>
<codeline lineno="21"><highlight class="comment"><sp />*<sp />IN<sp />AN<sp />ACTION<sp />OF<sp />CONTRACT,<sp />TORT<sp />OR<sp />OTHERWISE,<sp />ARISING<sp />FROM,<sp />OUT<sp />OF<sp />OR<sp />IN</highlight></codeline>
<codeline lineno="22"><highlight class="comment"><sp />*<sp />CONNECTION<sp />WITH<sp />THE<sp />SOFTWARE<sp />OR<sp />THE<sp />USE<sp />OR<sp />OTHER<sp />DEALINGS<sp />IN<sp />THE<sp />SOFTWARE.</highlight></codeline>
<codeline lineno="23"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="preprocessor">#ifndef<sp />CY_IOT_PLATFORM_TYPES_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_IOT_PLATFORM_TYPES_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyabs_rtos_impl.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="38" refid="structiot__mutex__internal__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">iot_mutex_internal</highlight></codeline>
<codeline lineno="39"><highlight class="normal">{</highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp />cy_mutex_t<sp />xMutex;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="41"><highlight class="normal">}<sp /><ref kindref="compound" refid="structiot__mutex__internal__t">iot_mutex_internal_t</ref>;</highlight></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="46" refid="structiot__sem__internal__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">iot_sem_internal</highlight></codeline>
<codeline lineno="47"><highlight class="normal">{</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />cy_semaphore_t<sp />xSemaphore;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="49"><highlight class="normal">}<sp /><ref kindref="compound" refid="structiot__sem__internal__t">iot_sem_internal_t</ref>;</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="55" refid="structthread_info__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">threadInfo</highlight></codeline>
<codeline lineno="56"><highlight class="normal">{</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />cy_thread_t<sp />handle;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />pArgument;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />void<sp />(<sp />*<sp />threadRoutine<sp />)(<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*<sp />);<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="60"><highlight class="normal">}<sp /><ref kindref="compound" refid="structthread_info__t">threadInfo_t</ref>;</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="65" refid="structtimer_info__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">timerInfo</highlight></codeline>
<codeline lineno="66"><highlight class="normal">{</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp />cy_timer_t<sp />timer;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp />cy_time_t<sp />xTimerPeriod;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="69"><highlight class="normal">}<sp /><ref kindref="compound" refid="structtimer_info__t">timerInfo_t</ref>;</highlight></codeline>
<codeline lineno="70"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />cy_mutex_t<sp /><sp /><sp />_IotSystemMutex_t;</highlight></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />cy_semaphore_t<sp /><sp /><sp /><sp /><sp />_IotSystemSemaphore_t;</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structtimer_info__t">timerInfo_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structtimer_info__t">_IotSystemTimer_t</ref>;</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="keyword">struct<sp /></highlight><highlight class="normal">IotNetworkServerInfo;</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="keyword">struct<sp /></highlight><highlight class="normal">IotNetworkCredentials;</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="keyword">struct<sp /></highlight><highlight class="normal">_networkConnection;</highlight></codeline>
<codeline lineno="100"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">IotNetworkServerInfo<sp />*<sp />_IotNetworkServerInfo_t;</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">IotNetworkCredentials<sp />*<sp />_IotNetworkCredentials_t;</highlight></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">_networkConnection<sp />*<sp />_IotNetworkConnection_t;</highlight></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />ifndef<sp />CY_IOT_PLATFORM_TYPES_H_<sp />*/</highlight><highlight class="preprocessor" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mqtt/cyport/include/cy_iot_platform_types.h" />
  </compounddef>
</doxygen>